import { worklet } from './worklet/worklet';
/*
 * @todo Explicitly referencing the barrel file seems to be necessary when enabling the
 * isolatedModules compiler option.
 */
export * from './interfaces/index';
export * from './types/index';
const blob = new Blob([worklet], { type: 'application/javascript; charset=utf-8' });
export const addLimiterAudioWorkletModule = async (addAudioWorkletModule) => {
    const url = URL.createObjectURL(blob);
    try {
        await addAudioWorkletModule(url);
    }
    finally {
        URL.revokeObjectURL(url);
    }
};
export function createLimiterAudioWorkletNode(audioWorkletNodeConstructor, context, options = {}) {
    const { attack = 0 } = options;
    const audioWorkletNode = new audioWorkletNodeConstructor(context, 'limiter-audio-worklet-processor', {
        ...options,
        channelCountMode: 'explicit',
        numberOfInputs: 1,
        numberOfOutputs: 1,
        pocessorOptions: {
            attack
        }
    });
    Object.defineProperties(audioWorkletNode, {
        port: {
            get() {
                throw new Error("The port of a LimiterAudioWorkletNode can't be accessed.");
            }
        }
    });
    return audioWorkletNode;
}
//# sourceMappingURL=module.js.map